{flake, ...}: let
  inherit (flake.config.services.instances) upRootNutrition web;
  service = upRootNutrition;
  localhost = web.localhost.address0;
  host = web.domains.url3;
in {
  services = {
    caddy = {
      virtualHosts = {
        "${host}" = {
          extraConfig = ''
            root * /var/lib/website/dist/index.html

            redir /.well-known/carddav /remote.php/dav/ 301
            redir /.well-known/caldav /remote.php/dav/ 301

            reverse_proxy ${localhost}:${toString service.ports.port0}

            tls ${service.ssl.cert} ${service.ssl.key}
          '';
        };
      };
    };
  };
}
